Cisco Support Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Announcements

Welcome to Cisco Support Community. We would love to have your feedback.

For an introduction to the new site, click here. And see here for current known issues.

New Member

Do I or don't I install SQL2k SP3a before CCM upgrade

I'm upgrading two CallManager 3.3(4) servers (Pub & Sub) to 4.1(2). The booklet that came with the 4.1(2) CDs tells me that I MUST install SQL Server 2000 Service Pack 3a before upgrading CallManager. However, the readme for the service pack (http://ftp-sj.cisco.com/cisco/crypto/3DES/voice/cmva/SQL2K-ServicePack3.1-0-6Readme.htm) tells me that I must NOT upgrade if the SQL version is 8.00.760 - it is.

This is a lab system and my steps so far have been:

Install OS 2000.2.4 from CCM3.3(4) CD set to both servers.

Install 3.3(4) on both servers, configure for Pub & Sub.

Upgrade OS to 2000.2.7 on Pub

Install 2000.2.7sr8 on Pub

Run 4.1(2) Upgrade assistant on Pub (everything looks fine)

Hence my question. I haven't installed any SQL patches, unless they came as part of the 2000.2.7 OS upgrades, in which case why isn't this clearly documented?

Any ideas?

Thanks

1 ACCEPTED SOLUTION

Accepted Solutions
Hall of Fame Super Silver

Re: Do I or don't I install SQL2k SP3a before CCM upgrade

I believe the SQL patch is bundled in the upgrade, to validate in SQL query analyzer run

select @@version, your version should be above 8.00.760, I belive 4.1(3) shows 8.00.818.

Chris

4 REPLIES
Hall of Fame Super Silver

Re: Do I or don't I install SQL2k SP3a before CCM upgrade

I believe the SQL patch is bundled in the upgrade, to validate in SQL query analyzer run

select @@version, your version should be above 8.00.760, I belive 4.1(3) shows 8.00.818.

Chris

Bronze

Re: Do I or don't I install SQL2k SP3a before CCM upgrade

Install and run Upgrade Assistant utility to make sure all CM components are ready for upgrade.

New Member

Re: Do I or don't I install SQL2k SP3a before CCM upgrade

Thanks.

I should have added to my initial post that the SQL version was 8.00.760. That was the confusion - I apparently had the latest version yet hadn't knowingly installed it. I wish the Cisco documentation wasn't so bloody cryptic.

Silver

Re: Do I or don't I install SQL2k SP3a before CCM upgrade

I recently opened a TAC case to get the official blessing on an upgrade, because it is so unclear. We had a location where our current SQL version was 8.00.818 - which means you have SP3 with cumulative patch MS03-031, and done nothing since then. This web site interprets those version numbers for you:

http://www.tacktech.com/display.cfm?ttid=60

The 4.1.3 upgrade guide is very specific about requiring SP3a, and the SP3a notes are very specific about warning you off if you have any number higher than 8.00.760, which is SP3 without MS03-031, and I wanted to make them at least acknowledge the conflicting doc, and verify that our upgrade would complete with the current SQL level (which they did). They suggested I could send feedback on the conflicting documents, which I am not sure will be worth the trouble. We have not done the upgrade yet, but I am sure it will be fine (at least, the SQL version won't cause it to fail)

Mary Beth

108
Views
0
Helpful
4
Replies
CreatePlease to create content